package models
import org.squeryl._
import org.squeryl.dsl._
case class Notify(message: String, announceId: Long, notifyType: Long, partId: Long, var state: Int) extends KeyedEntity[Long]{
	val id: Long = 0
	lazy val user: ManyToOne[User] = PartsListDb.userNotifies.right(this)
	lazy val replies : OneToMany[Reply] = PartsListDb.NotifyReplies.left(this)
	lazy val part: ManyToOne[Part] = PartsListDb.partsNotifies.right(this)	
}